# 数据源配置
spring:
  ### 处理连接池冲突 #####
  main:
    allow-bean-definition-overriding: true
  datasource:
    driver-class-name: org.apache.shardingsphere.driver.ShardingSphereDriver
    url: jdbc:shardingsphere:classpath:sharding.yaml



my:
  sharding:
    create-table:
      url: jdbc:mysql://192.168.1.205:3306/cpp?useUnicode=true&characterEncoding=UTF-8&serverTimezone=Asia/Shanghai
      username: root
      password: '!QAZ2root'
    slave:
      # 从数据源开关/默认关闭
      enabled: false
      url:
      username:
      password: